--[[
  Duelli Della Scheda: Arte Persa
  Isometric Map System Demo 4
  Brandon M. DePesa
  brandon.depesa@gmail.com
  aim: bmdepesa
  msn: signetofthetrinity@hotmail.com
   Started: April 17 2006
  Last Updated: April 28 2008

  ***************
  -- Updated 08/04/28
  - Added a basic entity movement system with the cursor
  - Toggle GUI with Triangle
  - Select entity and place with X
  - Take screenshot with O
  - Updated some outdated syntax that was causing an error
  - Tested on a Slim running 3.90m33 using LuaPlayer 0.2

  ***************
  I'm releasing this updated version as an example for Lua coders to follow. 
  Some features include the state system, the animated introduction system, the 
  updated map system and the menu system.
  
  Right now the only options that work are "New Game" and "Exit" 
  ***************

  To Do:
  Proper map support, including tilesets, layers, props and triggers
  THE GAME

  ****************

  Visit http://pspupdates.qj.net!
]]

bExit = "false"
white = Color.new(255, 255, 255)
black = Color.new(0,0,0)

dofile("systemfuncs.lua")
dofile("gamestate.lua")
dofile("menustate.lua")
dofile("introstate.lua")
dofile("statesystem.lua")

switchState("Intro")

while bExit ~= "true" do
	StateGetCurrentStateInput()	
	StateDrawCurrentState()
	
	screen.waitVblankStart()
end