function numFromString(se,pos)
	local test = string.byte(se,pos)
	local test2 = string.char(test)
	return tonumber(test2)
end

function getNewScreenShotName()
	local oldPath = System.currentDirectory("./Screenshots")
	local files = System.listDirectory()
	local count = 0
	newSSNum = "./Screenshots/screenshot0.jpeg"
	
	if files ~= nil then 
		table.sort(files, function (a, b) return a.name < b.name end)
		for idx, file in pairs(files) do
			if (string.len(file.name) > 10) and (string.sub(file.name,1,10) == "screenshot") and (string.sub(file.name,-5) == ".jpeg") then
				count = count + 1
			end	
		end
	end
	
	if count > 0 then
		newSSNum = "./Screenshots/screenshot" .. count .. ".jpeg"
	end
	
	System.currentDirectory(oldPath)
	return newSSNum
end