menuAlreadyInit = "false"

function MenuSetup()
	if menuAlreadyInit == "false" then
		MenuImage = Image.load("./Data/Textures/UI/Menu/menu.png")
		CursorImage = Image.load("./Data/Textures/UI/Selector.png")
	
		MenuOptions = {}
		MenuOptions[1] = { state = "Game" }
		MenuOptions[2] = { state = "LoadCampaign" }
		MenuOptions[3] = { state = "MPSetup" }
		MenuOptions[4] = { state = "Options" }
		MenuOptions[5] = { state = "None" }
		
		cursorPos = 1
		cx = 155
		cy = 130
	
		menuAlreadyInit = "true"
	end
	menuTimer = Timer.new(0)
	doFlip = "false"
	MenuPosition = 0
end

function MenuDraw()
	screen:blit(0,0,MenuImage,false)
	screen:blit(cx, cy + ((cursorPos - 1) * 22),CursorImage,true)
	screen.flip()
end

function MenuDoInput()
	pad = Controls.read()
	menuTimer:start()
	
  	if pad:circle() then 
		screen:save(getNewScreenShotName())

	elseif pad:cross() then 
		if cursorPos > 0 and cursorPos < 5 then
			switchState(MenuOptions[cursorPos].state)
		elseif cursorPos == 5 then
			bExit = "true"
		end
	
	elseif pad:down() and menuTimer:time() > 50 then 
		if cursorPos <= 4 then
			cursorPos = cursorPos + 1 
		end
		menuTimer:reset()
	
	elseif pad:up() and menuTimer:time() > 50 then
		if cursorPos >= 2 then
			cursorPos = cursorPos - 1
		end
		menuTimer:reset()
	end
end

function MenuShutdown()
	screen:clear()
end