currentState = "None"
oldState = "None"

function switchState(state)
	if currentState ~= state then
		oldState = currentState
		
		if oldState == "Game" then
			GameShutdown()
		elseif oldState == "Menu" then
			MenuShutdown()
		elseif oldState == "Pause" then
			PauseShutdown()
		elseif oldState == "Intro" then
			IntroShutdown()
		end
		
		currentState = state
		
		if currentState == "Game" then
			GameSetup()
		elseif currentState == "Menu" then
			MenuSetup()
		elseif currentState == "Pause" then
			PauseSetup()
		elseif currentState == "Intro" then
			IntroSetup()
		end
	end
end

function StateDrawCurrentState()
	if currentState == "Game" then
		GameDraw()
	elseif currentState == "Menu" then
		MenuDraw()
	elseif currentState == "Pause" then
		PauseDraw()
	elseif currentState == "Intro" then
		IntroDraw()
	end
end

function StateGetCurrentStateInput()
	if currentState == "Game" then
		GameDoInput()
	elseif currentState == "Menu" then
		MenuDoInput()
	elseif currentState == "Pause" then
		PauseDoInput()
	elseif currentState == "Intro" then
		IntroDoInput()
	end
end